Retrieve a Call
curl --request GET \
--url https://commerce.driv.ly/api/calls/{id}import requests
url = "https://commerce.driv.ly/api/calls/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"externalPhoneNumber": "<string>",
"internalPhoneNumber": "<string>",
"conversationURL": "<string>",
"time": "2023-11-07T05:31:56Z",
"ratingNote": "<string>",
"note": "<string>",
"rating": 2.5,
"audioRecording": {},
"transcript": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Sales
Retrieve a Call
GET
/
calls
/
{id}
Retrieve a Call
Path Parameters
Call is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Response
Call Found
Show child attributes
Show child attributes
Example:
{
"id": "call_3d9k2j8s7d2k",
"note": "Follow up with more information",
"time": "2023-09-20T14:00:00Z",
"rating": 5,
"ratingNote": "Excellent call, potential sale",
"transcript": "Transcript of the call here",
"audioRecording": { "url": "http://example.com/audio" },
"conversationURL": "http://example.com/conversation",
"externalPhoneNumber": "555-6789",
"internalPhoneNumber": "555-0199"
}
⌘I